/* definitions */
$rendering-min-width: 800;
$rendering-min-width-newsletter: 740;
$rendering-zoom-width: 1600;

$data-image-fit:
	"": "Contain",
	"d-cover":"Cover"
;

$data-image-position:
	"": "Auto",
	"image-object-position-top":"Top",
	"image-object-position-bottom":"Bottom",
	"image-object-position-left":"Left",
	"image-object-position-right":"Right"
;

$data-height-list:
	"": "Auto",
	"image-height-s":"S",
	"image-height-m":"M",
	"image-height-l":"L"
;
$data-email-height-list = $data-height-list;



.b-image {
	width: 100%;
	max-width: 100%;
	height: auto;
	display: block;
	object-fit: contain;
	
	&.d-cover {
		object-fit: cover;
	}
	&.d-contain {
		object-fit: contain;
	}
}

.image-object-position-top { object-position: top; }
.image-object-position-bottom { object-position: bottom; }
.image-object-position-left { object-position: left; }
.image-object-position-right { object-position: right; }

/* resets */
.multicolumn > .col > .b-image {
	width: 100%;
	display: block;
}

/* heigts */
.image-height-s {
	height: 100px !important;
}
.image-height-m {
	height: 150px !important;
}
.image-height-l {
	height: 200px !important;
}

/* lazyloading */
.lazyload-animated {
	opacity: 100;
	transition: opacity 0.8s ease 0s;
	
	&.hidden {
		opacity: 0;
		background-color: colors/$grey6;
		transition: opacity 0s ease 0s;
	}
}

/* zooming */
.image-zoom-link {
	position: relative;
	display: inline-block;
	overflow: hidden;
	cursor: pointer;
	display: block;
	
	.b-image {
		transform: scale(1);
		transition: opacity 0.4s ease 0s, transform 0.4s ease 0s;
	
		&.hidden {
			transition: opacity 0s ease 0s, transform 0.4s ease 0s;
		}
	}
	
	&:hover {
		.b-image {
			transform: scale(1.05);
		}
	}
	
	&:hover:before {
		opacity: 100;
		transform: scale(1) translateX(-50%) translateY(-50%);
	}
	
	&:hover:after {
		opacity: 40;
	}
	
	&:before {
		position: absolute;
		top: 50%;
		left: 50%;
		content: 'S';
		sv-txt-font: look/$font-icons;
		font-size: look/$font-size-jumbo;
		z-index: 2;
		color: colors/$grey7;
		opacity: 0;
		transform-origin: 0 0;
		transform: scale(1.5) translateX(-50%) translateY(-50%);
		transition: opacity 0.4s ease 0s, transform 0.4s ease 0s;
		pointer-events: none;
	}
	
	&:after {
		opacity: 0;
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 1;
		background-color: colors/$grey1;
		transition: opacity 0.4s ease 0s;
		pointer-events: none;
	}
}